package test


import com.softmoore.math.MatrixUtil;
import com.softmoore.util.StopWatch;
import scala.util.Random;


object TimedTestMatrixMultiplication extends App
  {
    // all matrices are n by n
    val n : Int = 1000;

    var a = Array.ofDim[Double](n, n);
    var b = Array.ofDim[Double](n, n);

    // create a random number generator
    var rng : Random = new Random();

    for (i <- 0 until n)
      {
        for (j <- 0 until n)
          {
            var xa : Double = rng.nextDouble();
            a(i)(j) = xa;
                
            var xb : Double = rng.nextDouble();
            b(i)(j) = xb;
          }
      }

    var timer : StopWatch = new StopWatch();

    // test first with matrices of double
    timer.start();
    var c : Array[Array[Double]] = MatrixUtil.multiply(a, b);
    timer.stop();
        
    val totalTime : Double = timer.getElapsedTimeInSeconds();
    System.out.println("total time in seconds for double = " + totalTime);        
  }